import request from '@/utils/request'

// 工程监理--人员管理明细列表
export function apiSupervisionProjectPersonnelLists(params: any) {
    return request.get({ url: '/supervision_team.supervision_project_personnel/lists', params })
}

// 添加工程监理--人员管理明细
export function apiSupervisionProjectPersonnelAdd(params: any) {
    return request.post({ url: '/supervision_team.supervision_project_personnel/add', params })
}

// 编辑工程监理--人员管理明细
export function apiSupervisionProjectPersonnelEdit(params: any) {
    return request.post({ url: '/supervision_team.supervision_project_personnel/edit', params })
}

// 删除工程监理--人员管理明细
export function apiSupervisionProjectPersonnelDelete(params: any) {
    return request.post({ url: '/supervision_team.supervision_project_personnel/delete', params })
}

// 工程监理--人员管理明细详情
export function apiSupervisionProjectPersonnelDetail(params: any) {
    return request.get({ url: '/supervision_team.supervision_project_personnel/detail', params })
}